[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# float

Float type used in all calls

## Declaration

Source position: math.pp line 71

`type float = extended;`

## Description

All calculations are done with the Float type. This allows to recompile the unit with a different float type to obtain a desired precision. The pointer type PFloat is used in functions that accept an array of values of arbitrary length.

Documentation generated on: Feb 26 2014